Author: Joseph HERLANT <herlantj@gmail.com>
Description: The vim installation is not made anymore by defautl in upstream but we
still want it there. Also integrates the changes from fix_vim_target.dpatch
--- a/Makefile.in
+++ b/Makefile.in
@@ -27,6 +27,8 @@
 prog = asciidoc.py a2x.py
 progdir = $(bindir)
 
+vimdir = @sysconfdir@/vim
+
 manp = $(patsubst %1.txt,%1,$(wildcard doc/*.1.txt))
 manpdir = $(mandir)/man1
 
@@ -142,6 +144,22 @@
 		chmod +x $$f; \
 	done
 
+install-vim:
+	@for d in $(DESTDIR)/$(vimdir) /etc/vim; do \
+		if ! test -d $$d; then continue; fi ; \
+		echo "installing Vim files in $$d" ; \
+		$(INSTALL) -d $$d/syntax ; \
+		$(INSTALL_DATA) vim/syntax/asciidoc.vim $$d/syntax ; \
+	done
+
+uninstall-vim:
+	@for d in $(DESTDIR)/$(vimdir) /etc/vim; do \
+		if ! test -d $$d; then continue; fi ; \
+		echo "uninstalling Vim files in $$d" ; \
+		rm -f $$d/syntax/asciidoc.vim ; \
+	done
+
+
 build: fixconfpath $(manp)
 
 install: all $(PROGTARGETS) $(DATATARGETS) progsymlink
